<?php
/* 蹇嵎鍟嗗煄绯荤粺
 * 鐗堟湰鍙凤細2.0
 * 瀹樼綉锛歨ttp://www.kjcms.cn
 * 2015-02-16
 */
class ctl_ajax extends mod_ajax{
	function act_cart_list(){
		$arr_return = cls_mall::cart_list();
		return fun_format::json($arr_return);
	}
	function act_save_order(){
		$arr_return = $this->on_save_order();
		return fun_format::json($arr_return);
	}
	//用户中心，保存用户收货信息
	function act_address_save() {
		$arr_return = $this->on_address_save();
		return fun_format::json($arr_return);
	}
	function act_address_del() {
		$arr_return = $this->on_address_del();
		return fun_format::json($arr_return);
	}
	function act_goods_comment() {
		$gid = fun_get::get("gid");
		$page = (int)fun_get::get("page");
		$arr_return = $this->get_goods_comments($gid , $page);
		return fun_format::json($arr_return);
	}
	function act_reg() {
		$arr = fun_format::json( $this->on_reg() );
		return $arr;
	}
	//找回密码第一步
	function act_findpwd_step1() {
		$arr = fun_format::json( $this->on_findpwd_step1() );
		return $arr;
	}
	//找回密码第二步
	function act_findpwd_step2() {
		$arr = fun_format::json( $this->on_findpwd_step2() );
		return $arr;
	}
	//重置新密码
	function act_findpwd_step3() {
		$arr = fun_format::json( $this->on_findpwd_step3() );
		return $arr;
	}
	//验证信息
	function act_verify_mobile() {
		$arr = fun_format::json( $this->on_verify_mobile() );
		return $arr;
	}

}